The JSON-Combinator package

[Tags:bsd3, deprecated, library]
Deprecated. in favor of lens

A combinator library on top of a generalised JSON type. The highest-level module is Text.JSON.Combinator and it is expected that no other module need to be explicitly imported.

Instances for the combinators are provided for two libraries available on hackage:

Properties

Versions 0.0.1, 0.0.2, 0.1.0, 0.1.1, 0.1.2, 0.2.0, 0.2.1, 0.2.2, 0.2.3, 0.2.4, 0.2.5, 0.2.6, 0.2.7, 0.2.8
Dependencies base (==4.*), bytestring, bytestring-trie, failure, json, JSONb [details]
License BSD3
Author Tony Morris <ʇǝu˙sıɹɹoɯʇ@ןןǝʞsɐɥ>
Maintainer Tony Morris
Stability Unknown
Category Combinators
Uploaded Thu Mar 3 17:02:27 UTC 2011 by TonyMorris
Distributions
Downloads 3233 total (39 in the last 30 days)
Votes
0 []
Status Docs not available [build log]
All reported builds failed as of 2015-12-08 [all 6 reports]

Modules

  • Text
    • JSON
      • Text.JSON.Combinator
      • Text.JSON.Interact
      • Text.JSON.InteractFile
      • Text.JSON.JSONField
      • Text.JSON.JSONLike
      • Text.JSON.JSONParse
      • Text.JSON.JSONPrepend
      • Text.JSON.JSONPrint

Flags

NameDescriptionDefaultType
small_baseChoose the new, split-up base package.EnabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees